Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#55991 - [libmongoc] missing snappy dependency

Attached to Project: Community Packages
Opened by Antonio Rojas (arojas) - Saturday, 14 October 2017, 19:03 GMT
Last edited by Felix Yan (felixonmars) - Thursday, 09 November 2017, 09:42 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Felix Yan (felixonmars)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
There are some inconsistencies in the handling of the snappy dependency for libmongoc. The x86_64 library links to snappy, but doesn't have it as a dependency. On the other hand, the i686 version ships its own snappy library, but doesn't conflict with the snappy package. Both arches should either use the system snappy, in which case they should depend on it, or use the bundled version. in which case they should conflict with the snappy package.
This is currently breaking the build of syslog-ng
This task depends upon

Closed by  Felix Yan (felixonmars)
Thursday, 09 November 2017, 09:42 GMT
Reason for closing:  Fixed
Additional comments about closing:  libmongoc 1.8.1-2
Comment by Antonio Rojas (arojas) - Thursday, 09 November 2017, 08:31 GMT
Updating description now that i686 is no longer supported

Loading...